# Set-RASHALBDevicePriority

### NAME

Set-RASHALBDevicePriority\ <br>

### SYNOPSIS

Changes the priority (order) of a specified HALB device within the list of HALB devices.\ <br>

### SYNTAX

Set-RASHALBDevicePriority \[-[HALBId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#HALBId)] *\<uint>* \[-[DeviceID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#DeviceID)] *\<uint>* \[-[Direction](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#Direction)] {Up | Down} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#CommonParameters)*>*]\
\
Set-RASHALBDevicePriority \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#InputObject)] *<*[*HALBSettings*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBSettings.html)*>* \[-[DeviceID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#DeviceID)] *\<uint>* \[-[Direction](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#Direction)] {Up | Down} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#CommonParameters)*>*]\
\
Set-RASHALBDevicePriority \[-[HALBName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#HALBName)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#SiteId)] *\<uint>*] \[-[DeviceID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#DeviceID)] *\<uint>* \[-[Direction](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#Direction)] {Up | Down} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASHALBDevicePriority.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Changes the priority (order) of a specified HALB device within the list of HALB devices.\ <br>

### PARAMETERS

\
-**HALBId \<uint>**\
The HALB Virtual Server ID.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HALBName \<string>**\
The HALB Virtual Server Name.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
The Site ID where the HALB Virtual Server resides.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DeviceID \<uint>**\
The HALB Device ID.\ <br>

```
        Required?                    true
```

```
        Position?                    2
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Direction <**[**MoveDirection**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/MoveDirection.html)**>**\
Specifies in which direction to move the specified HALB Device.\
\
Possible values: Up, Down\ <br>

```
        Required?                    true
```

```
        Position?                    3
```

```
        Default value                Up
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**HALBSettings**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBSettings.html)**>**\
An object of type HALBSettings.\
\
The object is obtained using the Get-RASHALB cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[HALBSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBSettings.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASHALBDevicePriority -HALBId 1 -DeviceId 2 -Direction Up\
\
Increase priority of the HALB Device with ID 2 (Move it closer to the head of the list) of the HALB Virtual Server with ID 1.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Set-RASHALBDevicePriority -HALBName "HALB-VS" -SiteId 1 -DeviceId 2 -Direction Up\
\
Increase priority of Device with ID 2 (Move it closer to the tail of the list) of the HALB Virtual Server with name "HALB-VS" of site ID 1.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Set-RASHALBDevicePriority -HALBId 1 -DeviceId 2 -Direction Down\
\
Decrease priority of the HALB Device with ID 2 (Move it closer to the head of the list) of the HALB Virtual Server with ID 1.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Set-RASHALBDevicePriority -HALBName "HALB-VS" -SiteId 1 -DeviceId 2 -Direction Down\
\
Decrease priority of Device with ID 2 (Move it closer to the tail of the list) of the HALB Virtual Server with name "HALB-VS" of site ID 1.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rashalbdevicepriority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
